Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 12 Next »

Compatibility Matrix

Plugin

0.1-SNAPSHOT

Sonar

2.0+

Eclipse

3.5

Developer Guide

Prerequisites

  • JDK 1.5 or better
  • Maven 3
  • Eclipse 3.5
  • m2eclipse (dev)

Get sources from subversion

Sources can be checked out anonymously from Subversion :

Build

To update external dependencies you need to execute following command:

This will update external jars and also regenerate plug-in's MANIFEST.MF files.

To build complete update site you need to execute following command:

That will build all nested modules, including org.sonar.ide.eclipse.site project and if everything succeed, the update site can be found at org.sonar.ide.eclipse.site/target/site/

Release a version

TBA

  • No labels